Websites

Create a website

POST/api/websites

Creates a website with a name and domain, optionally assigning it to a team and creating a share.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Request body

NameTypeDescription
domainrequiredstringDomain name associated with the resource.
idstring | nullUnique identifier of the resource.
namerequiredstringDisplay name of the resource.
shareIdstring | nullIdentifier used to access a shared resource.
teamIdstring | nullID of the associated team.
Example request

Responses

200Website created.
NameTypeDescription
createdAtrequiredstring | nullDate and time the record was created.
createdByrequiredstring | nullID of the user who created the resource.
deletedAtrequiredstring | nullDate and time the record was deleted, if applicable.
domainrequiredstring | nullDomain name associated with the resource.
idrequiredstringUnique identifier of the resource.
namerequiredstringDisplay name of the resource.
recorderEnabledrequiredbooleanWhether recording is enabled for the website.
replayConfigrequiredanyOfSession replay and heatmap recording configuration.
resetAtrequiredstring | nullDate and time the website analytics were last reset.
shareIdrequiredstring | nullIdentifier used to access a shared resource.
teamIdrequiredstring | nullID of the associated team.
updatedAtrequiredstring | nullDate and time the record was last updated.
userobject
userIdrequiredstring | nullID of the associated user.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL